Bug 137607 - CAN-2004-0803 multiple issues in libtiff (CAN-2004-0804 CAN-2004-0886)
Summary: CAN-2004-0803 multiple issues in libtiff (CAN-2004-0804 CAN-2004-0886)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tetex
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard: public=20041013,impact=moderate
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-29 19:14 UTC by Josh Bressers
Modified: 2013-07-02 23:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-01 14:39:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:354 normal SHIPPED_LIVE Moderate: tetex security update 2005-04-01 05:00:00 UTC

Description Josh Bressers 2004-10-29 19:14:01 UTC
During a source code audit, Chris Evans discovered a number of integer
overflow bugs that affect libtiff.  teTeX contains an internal copy of
libtiff.  An attacker who has the ability to trick a user into opening
a malicious TIFF file could cause the application linked to libtiff to
crash or possibly execute arbitrary code. The Common Vulnerabilities
and Exposures project (cve.mitre.org) has assigned the names
CAN-2004-0886 and CAN-2004-0804 to these issues.

Additionally, a number of buffer overflow bugs that affect libtiff
have been found. teTeX contains an internal copy of libtiff.  An
attacker who has the ability to trick a user into opening a malicious
TIFF file could cause the application linked to libtiff to crash or
possibly execute arbitrary code. The Common Vulnerabilities and
Exposures project (cve.mitre.org) has assigned the name CAN-2004-0803 to
this issue.


These issues also affect RHEL2.1

The ideal fix for these issues will be to have teTeX use the system
libtiff rather than it's internal version.

Comment 1 Josh Bressers 2005-04-01 14:39:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-354.html



Note You need to log in before you can comment on or make changes to this bug.